View Issue Details

IDProjectCategoryLast Update
0025294AI War 2Bug - GameplayJun 19, 2021 6:35 am
ReporterExohydra Assigned ToNRSirLimbo  
Severitymajor 
Status resolvedResolutionfixed 
Product Version3.203 More Bugfixing 
Fixed in Version3.301 I Always Wanted To Be A Ghostbuster... 
Summary0025294: No Science or hacking points extracted with command station on nomad galaxy setting
DescriptionWanted to try the nomad galaxy setting for fun. I took the first planet and had a command station built but no science or hacking was being extracted.
TagsNo tags attached.

Relationships

related to 0025295 resolvedNRSirLimbo Can't collect science points anymore. 

Activities

Exohydra

Jun 18, 2021 8:50 pm

reporter  

save.save (476,275 bytes)

BadgerBadger

Jun 19, 2021 12:16 am

manager   ~0062158

This failure is only for Distributed Resource Generation Mode

BadgerBadger

Jun 19, 2021 12:32 am

manager   ~0062159

66/18/2021 10:30:44 PM 3.203 SINGLEP This Logistical Command Station resource Science
6/18/2021 10:30:44 PM 3.203 SINGLEP We are in distributed resource mode
6/18/2021 10:30:44 PM 3.203 SINGLEP We have a defined ResourceProductionOrNull_AltForDistributedProduction
6/18/2021 10:30:44 PM 3.203 SINGLEP We have production 0

I don't know this code well, but the fact that the command station doesn't think it produces science is what's causing the problem

NRSirLimbo

Jun 19, 2021 6:34 am

developer   ~0062160

Last edited: Jun 19, 2021 6:35 am

Thanks for reporting!

* Fixed ships with any resource gains in Distributed Economy mode and gains of other resources in non-Distributed Economy mode being unable to gain these other resources at all.
** This fixes being unable to extract science and hacking points from planets in Distributed Economy mode.
** Thanks to Vivisector 9999 and Exohydra for reporting on Mantis, and a number of others on Discord.

Issue History

Date Modified Username Field Change
Jun 18, 2021 8:50 pm Exohydra New Issue
Jun 18, 2021 8:50 pm Exohydra File Added: save.save
Jun 19, 2021 12:16 am BadgerBadger Relationship added related to 0025295
Jun 19, 2021 12:16 am BadgerBadger Note Added: 0062158
Jun 19, 2021 12:32 am BadgerBadger Note Added: 0062159
Jun 19, 2021 12:32 am BadgerBadger Assigned To => x4000Bughunter
Jun 19, 2021 12:32 am BadgerBadger Status new => assigned
Jun 19, 2021 6:34 am NRSirLimbo Assigned To x4000Bughunter => NRSirLimbo
Jun 19, 2021 6:34 am NRSirLimbo Status assigned => resolved
Jun 19, 2021 6:34 am NRSirLimbo Resolution open => fixed
Jun 19, 2021 6:34 am NRSirLimbo Fixed in Version => 3.301 I Always Wanted To Be A Ghostbuster...
Jun 19, 2021 6:34 am NRSirLimbo Note Added: 0062160
Jun 19, 2021 6:35 am NRSirLimbo Note Edited: 0062160